Get a group counter
curl --request GET \
--url https://api.scrip.dev/v1/groups/{id}/state/counters/{key} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scrip.dev/v1/groups/{id}/state/counters/{key}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scrip.dev/v1/groups/{id}/state/counters/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "purchases",
"last_reset_at": "2024-01-15T10:30:00Z",
"reset_after": "720h",
"value": "42"
}{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}State
Get group counter
Returns a single counter by key on a group.
GET
/
v1
/
groups
/
{id}
/
state
/
counters
/
{key}
Get a group counter
Returns a single counter by key, including its effective value. The key is passed as a path parameter.
For counters with
reset_after configured, the returned value accounts for the reset window. If the time since last_reset_at exceeds reset_after, the effective value returned is 0.
For usage patterns and examples, see the State Management guide.
Authorizations
ApiKeyAuthBearerAuth
API key passed in the X-API-Key header.
⌘I